osl::eval::ml::BishopHeadKingRelative Class Reference

`#include <majorPiece.h>`

## Public Types

enum | { ONE_DIM = 4896 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)

## Detailed Description

Definition at line 465 of file majorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 468 of file majorPiece.h.

## Member Function Documentation

## setUp()

void osl::eval::ml::BishopHeadKingRelative::setUp | ( | const Weights & | weights | ) |

static

Definition at line 673 of file majorPiece.cc.

References osl::BLACK, osl::eval::ml::BishopHead::king_table, osl::newPtypeO(), osl::NStages, ONE_DIM, osl::PTYPE_EDGE, osl::PTYPE_EMPTY, osl::PTYPEO_EMPTY, osl::ptypeOIndex(), osl::eval::ml::BishopHead::table, osl::eval::ml::Weights::value(), and osl::WHITE.

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc